models/mapobjects/lamps/grid_yellow
{
	q3map_lightimage models/mapobjects/lamps/grid_yellow.tga
    qer_editorimage models/mapobjects/lamps/grid_yellow.tga
    q3map_surfacelight 20000
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen vertex
    }
    {
        map models/mapobjects/lamps/grid_yellow.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen vertex
    }
    {
        map models/mapobjects/lamps/grid_yellow.tga
        blendFunc GL_ONE GL_ONE
    }
}

models/mapobjects/vehicles/sub5
{
	surfaceparm metalsteps

	{
		map models/mapobjects/vehicles/sub5.tga
		rgbGen identity
	}
}
textures/decals/luff2
{
	polygonOffset
	entityMergable
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/decals/luff2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/decals/oil_slick
{
	polygonOffset
	entityMergable
	nomipmaps
    nopicmip
	nocompress
	surfaceparm slick
	{
		map textures/decals/oil_slick.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/effects/wdfx_W.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE 
		tcmod scale 2 2
		tcGen environment
	}

}
textures/wp_uboat/gun_guard
{
	surfaceparm metalsteps
	surfaceparm nolightmap
	{
		map textures/wp_uboat/gun_guard.tga
		rgbGen vertex
	}
}
textures/electronics/radar_01
{      

     	{
		map textures/electronics/radarsweep.tga
		rgbGen identity
		tcMod rotate 120
	//	rgbgen wave triangle 0 1 0 7
	//	tcMod scroll 1 0
	}


	{
		map textures/electronics/radarbeeps.tga
		blendfunc blend
		tcMod scroll .01 .001
		rgbGen wave sin 1 .3 0 .25
	}
	{
		map textures/electronics/radar_01.tga
		blendfunc blend
		rgbGen vertex
	}
}
textures/awf_props/tool_m07
{
    surfaceparm metalsteps
    nomipmaps
    nopicmip
	nocompress
    cull disable
    {
        map textures/awf_props/tool_m07.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/sub2/9
{
	polygonOffset
	entityMergable
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/sub2/9.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/liquids/mp_sub_water

//Sippy's Test Water
		
	{
		qer_editorimage textures/liquids/pool3d_3f.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 512
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	

		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
	//	{ 
	//		map textures/liquids/pool3d_3f.tga
	//		blendFunc GL_dst_color gl_one
	//		rgbgen identity
	//		tcmod scale -1 -1
	//		tcmod scroll .025 .025
	//	}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}
	
textures/alpha/truss_m06
{
    surfaceparm alphashadow
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/alpha/truss_m06.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/sfx/saftey_glass
{
	qer_editorimage textures/common/s_glass.tga		
	surfaceparm alphashadow
	surfaceparm glass 
	surfaceparm trans
	nomipmaps
    nopicmip
//	cull none
	qer_trans 	0.5
	surfaceparm trans

	{
		map textures/common/s_glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/sub2/dasboot
{
	nomipmaps
    nopicmip
	cull disable
	{
		map textures/sub2/dasboot.tga
		rgbGen vertex
	}
}

textures/props/flags_m1_snow

{
	surfaceparm nolightmap // added as test
	surfaceparm trans // added as test
	surfaceparm alphashadow 
	// qer_trans 0.50
//	deformVertexes wave 194 sin 0 2 0 .1
//	deformVertexes wave 30 sin 0 1 0 .3
//	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	nomipmaps
    nopicmip
	{
		map textures/props/flags_m1_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/props/flags_m1_snowtad

{
	surfaceparm alphashadow
	 qer_trans 0.90
//	deformVertexes wave 194 sin 0 2 0 .1
//	deformVertexes wave 30 sin 0 1 0 .3
//	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	nomipmaps
    nopicmip
	{
		map textures/props/flags_m1_snowtad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}